Update a fact-find block Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v2/fact-find/blocks/{factFindBlock_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindBlock_uuid string Required
application/json

Body

  • name string

    The name of the fact find block. Must be unique within the section.

    Maximum length is 255.

  • introduction_html string

    HTML introduction shown at the start of this block.

    Maximum length is 10000.

  • position integer

    The position/order of this block within the section.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • fact_find_section object
      Hide fact_find_section attributes Show fact_find_section attributes object
      • uuid string
      • created_at string
      • updated_at string
      • fact_find_template object
        Hide fact_find_template attributes Show fact_find_template attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the fact-find template.

        • description

          A brief description of the template.

        • opening_statement

          An opening statement shown at the start of the fact-find.

        • closing_statement

          A closing statement shown at the end of the fact-find.

        • is_published

          Whether the fact-find template is published and available for use.

        • is_locked

          Whether the template is locked from edits because at least one client has an in-flight session against it. Clone the template to make changes.

        • active_session_count

          Number of in-flight client sessions blocking edits to this template.

      • name string
      • introduction_html string
      • position integer
      • is_complete boolean
      • blocks object
        Hide blocks attributes Show blocks attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the fact find block.

        • introduction_html

          HTML introduction shown at the start of this block.

        • position

          The position/order of this block within the section.

    • name string
    • introduction_html string
    • position integer
PUT /api/v2/fact-find/blocks/{factFindBlock_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/fact-find/blocks/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Income Details","introduction_html":"\u003cp\u003ePlease provide your income details below.\u003c/p\u003e","position":1}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Income Details",
  "introduction_html": "<p>Please provide your income details below.</p>",
  "position": 1
}
Response examples (200)
{
  "uuid": "d05b93f6-1fe1-4c9b-b6c3-b6583ecbdd74",
  "created_at": "2026-07-22T14:08:42+01:00",
  "updated_at": "2026-07-22T14:08:42+01:00",
  "fact_find_section": {
    "uuid": "438259c9-585d-4140-9676-4caf571ede51",
    "created_at": "2026-07-22T14:08:42+01:00",
    "updated_at": "2026-07-22T14:08:42+01:00",
    "fact_find_template": {
      "uuid": "7953dcb2-6ada-44ed-8e41-2da7af78757e",
      "created_at": "2026-07-22T14:08:48+01:00",
      "updated_at": "2026-07-22T14:08:48+01:00",
      "name": "My Fact-Find Template",
      "description": "A comprehensive fact-find template for new clients.",
      "opening_statement": "Welcome to our fact-find process...",
      "closing_statement": "Thank you for completing the fact find",
      "is_published": true,
      "is_locked": false,
      "active_session_count": 0
    },
    "name": "Personal Details",
    "introduction_html": "<p>Please provide your personal details below.</p>",
    "position": 1,
    "is_complete": false,
    "blocks": {
      "uuid": "76ac1b82-b57f-462a-9da1-a8ab2f9ec675",
      "created_at": "2026-07-22T14:08:48+01:00",
      "updated_at": "2026-07-22T14:08:48+01:00",
      "name": "Income Details",
      "introduction_html": "<p>Please provide your income details below.</p>",
      "position": 1
    }
  },
  "name": "Income Details",
  "introduction_html": "<p>Please provide your income details below.</p>",
  "position": 1
}